- Timer
    - CRUD
        - Time Entry
        - Description
        - Project
        - Tag
        - Duration
        - Create time entry timer, manual
            - Timer
                - Trigger timer
                - Stop timer
            - Manual
            - Set "start time", "end time", "date"
            - Delete
    - Features
        - View time entries (desc, project, tag, billable, start time, end time, date, duration, actions)
        - Update time entry
        - Trigger new timer based on one existing time entry

- Users
    - Normal users
        - Login/Logout
        - Manipulation
    - Admin
        - Default: The first person created project
        - Normal users's feature
        - Set permission

- Permision
    - Add member
    - Remove member
    - Add project
    - Delete project
    - Close project

- Dashboards
    - Chart
        - Types
            - Column
            - Pie
            - Wave
            - ...
    - Content    
        - Time spent on one week/month/year
        - Time-based on current user/entire team
    - Time per projects
    - Show Most Active panel for the most active users


- Reports
    - Summary
    - Detailed
    - Weekly
    - Filters
        - Team (All/Individual)
        - Client (All/Individual)
        - Project (All/Individual)
        - Tag (All/Individual)
    - Search by Text
    - Chart
        - Data of time per week
    - Export data
        - PDF
    - CSV
    - XLSX
    - Print
    - Table
        - Sort
        - Group time entry by [project, client, user]
        - Show pie chart for time corresponding to the function Group by

- Projects
    - Attributes
        - Color
        - Privacy
        - Billable
        - Task
        - Team
    - Edit attributes
    - Create
    - Filters
    - Table
        - Show existing projects
        - Sort
        - View detail
    - Tasks
        - Show Task in project
            - CRUD
    - Team
        - Show Team taken part in project
        - Add team
        - Remove member
        - Change permission

- Team
    - Show list
    - Add member
    - Set permission